MsWks4PLCInternal::KnownPLC Struct Reference

a map of known plc More...

## Public Member Functions

| KnownPLC ()
| creates the mapping
PLC | get (std::string const &name)
| returns the PLC corresponding to a name

## Protected Member Functions

void | createMapping ()
| creates the map of known PLC

## Protected Attributes

std::map< std::string, PLC > | m_knowns
| map name -> known PLC

## Detailed Description

a map of known plc

## Constructor & Destructor Documentation

## KnownPLC()

MsWks4PLCInternal::KnownPLC::KnownPLC | ( |  | ) |

inline

creates the mapping

## Member Function Documentation

## createMapping()

void MsWks4PLCInternal::KnownPLC::createMapping | ( |  | ) |

inline protected

creates the map of known PLC

Referenced by KnownPLC().

## get()

PLC MsWks4PLCInternal::KnownPLC::get | ( | std::string const & | name | ) |

inline

returns the PLC corresponding to a name

## Member Data Documentation

## m_knowns

std::map<std::string, PLC> MsWks4PLCInternal::KnownPLC::m_knowns

protected

map name -> known PLC

Referenced by createMapping(), get(), and KnownPLC().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx